#!/bin/sh


start_cardserver() {
:
	/var/bin/newcs_1.67
	sleep 2
}

stop_cardserver() {
:
	killall -9 mgcamd_1.31 newcs_1.67
	rm -f /tmp/camd.* /tmp/newcamd*.* /tmp/betad.* /tmp/cardserv*
	rm -f /tmp/*.log /tmp/*.txt /tmp/*.info /tmp/*.onl /tmp/*.ok /tmp/gbox.ver /tmp/*.ver
}

start_emu() {
:
	mgcamd_1.31 -d -v &
	sleep 3
}

stop_emu() {
:
	killall -9 mgcamd_1.31
	sleep 2
}

case "$1" in
	startemu)
		start_emu
		;;
	stopemu)
		stop_emu
		;;
	startall)
		start_cardserver
		start_emu
		;;
	stopall)
		stop_emu
		stop_cardserver
		;;
	*)
		exit 1
		;;
esac

exit 0
